# List messages by conversation

List messages by conversation. See the OpenAPI-defined parameters, request body, and responses below.

Source: https://zild.ai/en-US/docs/api-reference/get-api-Message

GET `/Message`

List messages by conversation. See the OpenAPI-defined parameters, request body, and responses below.

**OpenAPI description:** Este endpoint retorna as mensagens de uma conversa especificada pelo identificador da conversa.

## Authentication

**Authentication required.** Send your user API key in the X-API-Key header.

## Parameters



<table class="api-params"><thead><tr><th>Name</th><th>Location</th><th>Type</th><th>Required</th><th>Description</th><th>Constraints</th></tr></thead><tbody><tr><td><code>conversationId</code></td><td><code>query</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>—</td></tr></tbody></table>



## Request body

This operation does not accept a request body.

## Example request



```
curl --request GET \
  --url 'https://api.zild.ai/Message?conversationId={conversationId}' \
  --header 'X-API-Key: YOUR_USER_API_KEY'
```



## Responses



<table class="api-params"><thead><tr><th>Status</th><th>Description</th><th>Response body</th></tr></thead><tbody><tr><td><code>200</code></td><td>Sucesso ao retornar as mensagens</td><td><code>application/json</code> · <code>array&lt;MessageDto&gt;</code></td></tr></tbody></table>

**Example response (200):**



```
[
  {
    "id": 0,
    "createdAt": "2026-09-22T18:00:00Z",
    "from": "string",
    "to": "string",
    "content": "string",
    "conversationId": 0,
    "sentiment": "string",
    "offset": "string",
    "isNPS": true,
    "contentSid": "string",
    "messageType": 0,
    "conversationTemplateId": 0,
    "mediaUrl": "string",
    "mediaFileName": "string",
    "tenantId": 0,
    "userId": 0,
    "contentVariables": "string",
    "messageSid": "string",
    "messageStatus": 0,
    "sent": true,
    "delivered": true,
    "read": true,
    "errorCode": "string",
    "errorMessage": "string",
    "isReadByUser": true,
    "documentId": 0
  }
]
```



## Data models

`MessageDto`

<table class="api-params"><thead><tr><th>Property</th><th>Type</th><th>Required</th><th>Description</th><th>Constraints</th></tr></thead><tbody><tr><td><code>id</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>createdAt</code></td><td><code>string · date-time</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>from</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>to</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>content</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>conversationId</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>sentiment</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>offset</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>isNPS</code></td><td><code>boolean</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>contentSid</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>messageType</code></td><td><code>MessageType</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>conversationTemplateId</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>mediaUrl</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>mediaFileName</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>tenantId</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>userId</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>contentVariables</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>messageSid</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>messageStatus</code></td><td><code>MessageStatus</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>sent</code></td><td><code>boolean</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>delivered</code></td><td><code>boolean</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>read</code></td><td><code>boolean</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>errorCode</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>errorMessage</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>isReadByUser</code></td><td><code>boolean</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>documentId</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>nullable</td></tr></tbody></table>

`MessageStatus`0 = Queued; 1 = Sending; 2 = Sent; 3 = Delivered; 4 = Receiving; 5 = Received; 6 = Accepted; 7 = Scheduled; 8 = Read; 9 = Undelivered; 10 = Canceled; 11 = Failed

`integer`

`MessageType`0 = Text; 1 = Image; 2 = File; 3 = Audio; 4 = Video; 5 = Internal; 6 = TemplateMarketing; 7 = TemplateUtility; 8 = Location; 9 = Contact

`integer`
